crossplatform.ru

Здравствуйте, гость ( Вход | Регистрация )

 
Ответить в данную темуНачать новую тему
> Правильная сборка wxWidgets, Как правельно настроить wxWidgets
Arhn
  опции профиля:
сообщение 18.8.2016, 17:14
Сообщение #1


Новичок


Группа: Новичок
Сообщений: 1
Регистрация: 18.8.2016
Пользователь №: 4628

Спасибо сказали: 0 раз(а)




Репутация:   0  


Здравствуйте. Помогите, пожалуйста. Пытаюсь написать программу которая имеет графический интерфейс, работает с микроконтроллерами и была бы кроссплатформенной. Для этих целей выбрал wxWidgets и CodeBlocks, но сразу же появились проблемы при сборке wxWidgets. Все делаю как здесь описано, но после выполнения команды
(mingw32-make -f makefile.gcc BUILD=debug SHARED=0 MONOLITHIC=0 UNICODE=1 WXUNIV=0) выходит ошибка выходит ошибка

Игнорирую, продолжаю и выполняю следующую команду
( mingw32-make -f makefile.gcc BUILD=release SHARED=0 MONOLITHIC=0 UNICODE=1 WXUNIV=0),
вылазит такая же ошибка

Опять игнорирую делаю как описано в статье кроме выбора библиотек (9-ый пункт в статье, там я ни чего не выбираю так как вылазит больше ошибок). Далее пытаюсь запустить проект (нажимаю на Build and run (F9)), но вылазит ошибка

Помогите справиться с данной проблемой.

PS: Также буду очень Вам благодарен если поможете настроить DialogBlock для данных целей.
Перейти в начало страницы
 
Быстрая цитата+Цитировать сообщение
Litkevich Yuriy
  опции профиля:
сообщение 19.8.2016, 9:31
Сообщение #2


разработчик РЭА
*******

Группа: Сомодератор
Сообщений: 9687
Регистрация: 9.1.2008
Из: Тюмень
Пользователь №: 64

Спасибо сказали: 771 раз(а)




Репутация:   94  


ты не ту строчку в скриншоте выделил, выдели на 4 строчки выше, там ошибка
Перейти в начало страницы
 
Быстрая цитата+Цитировать сообщение
Iron Bug
  опции профиля:
сообщение 20.8.2016, 17:39
Сообщение #3


Профессионал
*****

Группа: Модератор
Сообщений: 1636
Регистрация: 6.2.2009
Из: Yekaterinburg
Пользователь №: 533

Спасибо сказали: 227 раз(а)




Репутация:   12  


скорее всего, компилятор старый.
почитай здесь:
https://forums.wxwidgets.org/viewtopic.php?t=42463
там для венды рекомендуют взять http://tdm-gcc.tdragon.net/download

или возьми mingw-w64 (https://sourceforge.net/projects/mingw-w64/), он посвежее будет.

либо просто возьми более древнюю версию WxWigdets (что-нибудь из серии 2.8, а не 3.x). для большинства приложений разницы точно не будет заметно.
Перейти в начало страницы
 
Быстрая цитата+Цитировать сообщение

Быстрый ответОтветить в данную темуНачать новую тему
Теги
Нет тегов для показа


1 чел. читают эту тему (гостей: 1, скрытых пользователей: 0)
Пользователей: 0




RSS Текстовая версия Сейчас: 29.3.2017, 2:28